import Utils from '@/utils/utils.js'

class CalendarBaseData {
  baseConfig = {
    version: '1.0',
    type: 'system',
    Template: 'CalendarPage',
    enabled: false,
    tabName: '',
    tabNo: '',
    Remark: '',
    uuid: Utils.getuuid(),
    setting: {
      tableName: '',
      primaryKey: '',
      dataresource: '',
      interType: 'system',
      innerFunc: '',
      interface: '',
      outerFunc: ''
    },
    columns: [],
    scripts: [],
    tables: [],
    tab: null,
    calendar: {
      levels: ['day', 'month', 'year'],
      startfield: '',
      endfield: '',
      colorfield: '',
      remarkfield: '',
      refresh: 'false'
    },
    search: [
      {
        origin: true,
        uuid: Utils.getuuid(),
        label: 'label',
        field: '',
        initval: '',
        type: 'text',
        resourceType: '0',
        options: [],
        orderType: 'asc',
        match: 'like',
      }, {
        origin: true,
        uuid: Utils.getuuid(),
        label: 'label',
        field: '',
        initval: '',
        type: 'select',
        resourceType: '0',
        options: [],
        orderType: 'asc',
        match: '=',
      }, {
        origin: true,
        uuid: Utils.getuuid(),
        label: 'label',
        field: '',
        initval: '',
        type: 'date',
        resourceType: '0',
        options: [],
        orderType: 'asc',
        match: 'greater',
      }
    ]
  }

  searchItems = [
    {
      type: 'search',
      label: '文本',
      subType: 'text',
      url: ''
    },
    {
      type: 'search',
      label: '下拉选择',
      subType: 'select',
      url: ''
    },
    {
      type: 'search',
      label: '下拉多选',
      subType: 'multiselect',
      url: ''
    },
    {
      type: 'search',
      label: '联动菜单',
      subType: 'link',
      url: ''
    },
    {
      type: 'search',
      label: '选项卡',
      subType: 'checkcard',
      url: ''
    },
    {
      type: 'search',
      label: '日期（天）',
      subType: 'date',
      url: ''
    },
    {
      type: 'search',
      label: '日期（周）',
      subType: 'dateweek',
      url: ''
    },
    {
      type: 'search',
      label: '日期（月）',
      subType: 'datemonth',
      url: ''
    },
    {
      type: 'search',
      label: '日期（区间）',
      subType: 'daterange',
      url: ''
    },
    {
      type: 'search',
      label: '日期（组合）',
      subType: 'group',
      url: ''
    }
  ]
}

export default new CalendarBaseData()
